<template>
    <div>
    <section class="hero-banner">
      <div class="top-header">
        <div class="order-option top-head-left">
          <p>Ordering Options</p>
        </div>
        <div class="sign-in top-head-right">
          <a href="#" class="info-icon" data-toggle="modal" data-target=".infomodal"><i class="fa fa-info-circle" aria-hidden="true"></i>
          </a>
          <a href="#" class="signin-icon">
          Sign In <i class="fa fa-user" aria-hidden="true"></i>
          </a>
        </div>        
      </div>  
      <div class="hero-logo">
        <div class="container">
          <div class="logo">
            <a href="#"><img src="../assets/images/logo.png" alt="" class="img-responsive"></a>
          </div>
        </div>
      </div>  
    </section>
  <!--/1. Hero banner section end here -->
  
  <!--2. Order modal start here -->
  <section class="signin-sec order-sec">
      <div class="container padding_0">
        <div class="form-block">
          <div class="choosebox-header">
            <div class="form-block-title head-left">
             <p><img src="../assets/images/icon/action/choose-time.png" alt="" class="img-responsive">Choose a Time</p>
            </div>
            <div class="form-block-title head-right">
              <p>3/3</p>
            </div>
          </div>          
          <div class="order-action-btn">
            <div class="pickup-btn-block coman-order-btn">
              <a href="#" class="order-now-sec btn" @click.prevent="menuCatering()">                
                <h3>ORDER FOR NOW</h3>
                <p>Have your order prepared as soon as possible.</p>
              </a>
            </div>  
            <div class="pickup-btn-block coman-order-btn">
              <a href="#" type="button" data-toggle="modal" data-target=".oreder-later-modal" class="order-now-sec btn" >                
                <h3>ORDER FOR LATER</h3>
                <p>Have your order prepared at a specific <br> future date and time.</p>
              </a>
            </div>
          </div>
          <div class="sign-in-btn">
              <button type="submit" class="btn btn-primary form_coman_lgbtn red-bg order-next-btn">Back</button>
          </div>  
          <!-- <div class="choobox_action_btn choobox_p_0">
            <div class="back-btn">
                <a href="#" class="btn btn-small red-bg fw-btn sm-btn-padding">Back</a>
            </div>
            <div class="next-btn">
              <a href="#" class="btn btn-small red-bg fw-btn sm-btn-padding">Next</a>
            </div>
          </div> -->
        </div>
      </div>
  </section>
  <!--2. Order modal end here -->

  <!--3. Footer Start here -->
  <footer class="footer-block">
    <div class="footer-sec">
      <div class="container">
        <div class="footer_nav">
          <ul class="footer_menu_list list-inline list-unstyled">
            <li><i>POWERED BY</i><a href="#"><img src="../assets/images/footer_logo.png" alt="" class="img-responsive"></a></li>
            <li><a href="#">TERMS</a></li>
            <li><a href="#">PRIVACY POLICY</a></li>
          </ul>
        </div>
      </div>
    </div>
  </footer>
  <!--3. Footer End here -->
  <!-- 2. info-modal start here -->  
    <div class="modal fade infomodal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-lg custom_modal_dialog">
        <div class="modal-content custom_modal_con">             
          <div class="modal-header custom_modal_head">
            <div class="modal_head_logo">
              <a href="#">
                <img src="../assets/images/logo.png" alt="" class="img-responsive">
              </a>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">×</span>
              </button>  
            </div>               
          </div>
          <div class="modal-body custom_modal_body">                
            <div class="root_info_modal">
              <div class="client_desc_modal col_nfo_same">
                <div class="address_selected">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/locator.png" alt="" class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>Cold Stone White Marsh on The Avenue</p>                
                    <address>8137 Honeygo Blvd. #C  Nottingham, MD 21236</address>
                  </div>
                </div>
                <div class="pickup-time">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/phone24X24.png" alt="" class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>(410) 931-2104</p>                                
                  </div>
                </div>
                <hr />
                <div class="ac_details">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/outlined.png" alt="" class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>Hours of Operation</p>                                
                  </div>
                  <div class="pickup_table_hr_details">
                    <table class="table timeline_table">
                      <tr>
                        <th></th>
                        <th>Pickup</th>
                        <th>Delivery</th>
                      </tr>
                      <tr>
                        <td>
                          <b>Sunday</b>
                        </td>
                        <td>
                          <b>11AM-10PM</b>
                        </td>
                        <td>
                          <b>11AM-10PM</b>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Monday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Tuesday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Wednesday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Thursday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Friday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Saturday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
              <div class="client_loc col_nfo_same">
                <img src="../assets/images/modal-map.png" alt="" class="img-responsive">
              </div>
            </div>                
          </div>
          <div class="modal-footer custom_footer">
              <div class="procedd_btn action_checkout_btn">              
                <a href="#" class="btn btn-primary form_coman_lgbtn red-bg addto addto_modal" data-dismiss="modal">Close</a>
              </div>
          </div>            
        </div>
      </div>
    </div>
  <!-- /2. info-modal end here -->
  <!-- 4. orderlater-modal start here -->      
    <div class="modal fade oreder-later-modal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog custom_orderlater_dialog">
        <div class="modal-content custom_modal_con">             
          <div class="modal-header custom_modal_head">
            <h5 class="modal-title">Choose a date and time</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <i class="fa fa-times" aria-hidden="true"></i>
            </button>
          </div>
          <div class="modal-body custom_later_body">
            <div class="mobile-align-center">  
              <div class="pick_day_avlbel">
                <p>Pick a day to see available times.</p>
              </div>        
              <ul class="nav nav-pills day-date-list" id="pills-tab" role="tablist">
                <li class="nav-item">
                  <a class="nav-link active" id="day1-tab" data-toggle="pill" href="#day1-home" role="tab" aria-controls="day1-home" aria-selected="true">Tue<span class="shop_font_color">20</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="day2-tab" data-toggle="pill" href="#day2-home" role="tab" aria-controls="day2-home" aria-selected="false">Wed<span class="shop_font_color">21</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="day3-tab" data-toggle="pill" href="#day3-home" role="tab" aria-controls="day3-home" aria-selected="false">Thu<span class="shop_font_color">22</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="day4-tab" data-toggle="pill" href="#day4-home" role="tab" aria-controls="day4-home" aria-selected="false">Fri<span class="shop_font_color">23</span></a>
                </li>                
              </ul>
              <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="day1-home" role="tabpanel" aria-labelledby="day1-tab">
                  <ul class="pickup_table_list">
                    <li class="active">
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">06:00 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">07:00 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">08:00 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">08:30 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">09:00 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">10:00 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">11:00 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">12:00 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                </div>
                <div class="tab-pane fade" id="day2-home" role="tabpanel" aria-labelledby="day2-tab">
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">01:00 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">01:30 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">02:00 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">03:00 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">03:30 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">04:00 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">05:00 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">06:00 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">07:00 PM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                </div>
                <div class="tab-pane fade" id="day3-home" role="tabpanel" aria-labelledby="day3-tab">
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                </div>
                <div class="tab-pane fade" id="day4-home" role="tabpanel" aria-labelledby="day4-tab">
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                  <ul class="pickup_table_list">
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>
                    <li>
                      <a href="#">05:45 AM<i class="fa fa-check-circle" aria-hidden="true"></i></a>                    
                    </li>                    
                  </ul>
                </div>
              </div>              
            </div>                            
          </div>          
        </div>
      </div>
    </div>

    </div>
</template>

<script>
const baseurl = "https://biteheist.com/ordering/tx/GoodEatsDEV/index.php?";
import axios from "axios";

    export default {
        data() {
            return {
                deliveryDate: "",
                pickupTime: [],
                OrderTime:"",
                selectedTabId: null,
                OrderTypeId:1,
                laterTime:'01:30 AM',
                laterOrderDate:'09/14/2018',
                MethodChosenId:1,
                method_chosen :'',
                methodChosen:'',
            }
        },
        created(){
          this.pickupDateLater(moment().format('MM/DD/YYYY'), moment().format('ddd'));
          let {method_chosen,methodChosen} = this
          // this.methodChosen = localStorage.getItem('methodChosen')
          this.methodChosen='"pickup"'

          console.log("thisiscreated=======",this.methodChosen);

        },
       
         methods:{
            menuCatering(){
              let data = {time: moment().format('ddd'), exactTime: moment().format() ,date: moment().format('MM/DD/YYYY') , hour :moment().startOf('hour'). endOf('hour').fromNow(), }
              console.log('data from menucatering in orderNow page', data)
                localStorage.setItem("exactTime",data.exactTime)
                localStorage.setItem("hour",data.hour)
                localStorage.setItem("date",data.date)
                this.$router.push("/menuCatering")
            },
            pickupDateLater(moment, day) {
              this.deliveryDate=moment,
              this.selectedTabId=null ,
              function () {
              console.log("deliveryDate", this.deliveryDate)
              let location_id=this.location_id
              let data= { location_id: this.location_id, day:day, date: this.deliveryDate }
              console.log("send data", data)
              token =  localStorage.getItem("token");
                var formData = new FormData();
                for (var k in data) {
                formData.append(k, data[k]);
                }
                axios({
                method :'post',
                url:API_URL+"route=feed/rest_api/location_timings",
                headers: {
                'Content-Type': 'application/x-www-form-urlencoded',
                'Authorization': "Bearer "+ token
                },
                data:formData,
                }).then(res=>{
                  console.log("responsefrom17dec ",res);
                  
                })
              }
            },
            setLocation(){
              console.log("setLocationdsfgs called");

              if(this.methodChosen=='delivery'){
                let id = localStorage.getItem("locationid")
                let location_id=id
                let {OrderTypeId,laterTime,laterOrderDate,methodChosenId}=this;
                let data={ location_id,OrderTypeId,laterTime,laterOrderDate,MethodChosenId}
                const token= localStorage.getItem("token");
                var bodyFormdata=new FormData();
                bodyFormdata.set('location_id',data.location_id);
                bodyFormdata.set('OrderTypeId',data.OrderTypeId);
                bodyFormdata.set('loterTime',data.latertime);
                bodyFormdata.set('MethodChosenId',data.MethodChosenId)
                axios({
                  method:'post',
                  url:baseurl+'route=feed/rest_api/setLocation',
                  headers:{
                      'Content-Type': 'multipart/form-data',
                      'Authorization': "Bearer "+ token
                  },
                  data:bodyFormdata
                }).then(res=>{
                  console.log("response from setlocation method",res);
                  
                })
              
              }
              else if( this.methodChosen=='"pickup"'){
                let id=localStorage.getItem("location_id")
                let location_id=id
                let {OrderTypeId,laterTime,laterOrderDate,methodChosenId}=this
                let data={location_id,OrderTypeId,laterTime,laterOrderDate,MethodChosenId}
                token =  localStorage.getItem("token");
                var bodyFormData = new FormData();
                bodyFormData.set('location_id', data.location_id);
                bodyFormData.set('OrderTypeId',data.OrderTypeId);
                bodyFormData.set('laterTime',data.laterTime);
                bodyFormData.set('laterOrderDate',data.laterOrderDate);
                bodyFormData.set('MethodChosenId',data.MethodChosenId);
                axios({
                    method :'post',
                    url:API_URL+'route=feed/rest_api/setLocation',
                    headers: {
                    'Content-Type': 'multipart/form-data',
                    'Authorization': "Bearer "+ token
                    },
                    data:bodyFormData
                }).then(res=>{
                  console.log("response from ===",res);
                  
                })
              }
            },
        }
    }
</script>

<style scoped>

</style>





